using System.Windows.Forms;
using System.Windows.Forms.Design;

namespace EveMapControls
{
    [ToolStripItemDesignerAvailability(
        ToolStripItemDesignerAvailability.ToolStrip | ToolStripItemDesignerAvailability.StatusStrip)]
    public partial class ToolStripSystemSelectBox : CustomToolStripControlHost
    {
        public ToolStripSystemSelectBox()
            : base(new SystemSelectBox()) {}

        public SystemSelectBox SystemSelectControl
        {
            get { return (SystemSelectBox) Control; }
        }
    }

    public class CustomToolStripControlHost : ToolStripControlHost
    {
        public CustomToolStripControlHost()
            : base(new Control()) {}

        public CustomToolStripControlHost(Control c)
            : base(c) {}
    }
}