﻿using System;
using System.Drawing;

namespace EveMapSettings
{
    [Serializable]
    public class MapColorScheme
    {
        public string Name { get; set; }

        public Color BackgroundColor { get; set; }

        public Color SystemTextColor { get; set; }

        public Color CynoBeaconColor { get; set; }

        public Color GateGenericColor { get; set; }

        public Color GateConstellationColor { get; set; }

        public Color JumpBridgeRouteColor { get; set; }

        public Color GateRegionColor { get; set; }

        public Color GateRouteColor { get; set; }

        public Color JumpRouteColor { get; set; }

        public Color HighSecDetailColor { get; set; }

        public Color LowSecDetailColor { get; set; }

        public Color NullSecDetailColor { get; set; }

        public Color MinimapBackgroundColor { get; set; }

        public Color MinimapBorderColor { get; set; }

        public Color MinimapFocusOutlineColor { get; set; }

        public Color MinimapFocusBackgroundColor { get; set; }
    }
}