using System;

namespace libEveMapNG.Data.Static
{
    [Serializable]
    public enum GateType
    {
        Undefined = 0,
        Normal,
        InterConstellation,
        InterRegion
    }

    [Serializable]
    public class StarGate
    {
        public SolarSystem From { get; set; }
        public SolarSystem To { get; set; }
        public GateType Type { get; set; }
    }
}