﻿using System.Xml.Serialization;

namespace libEveMapNG.RestAPI
{
    [XmlType(AnonymousType = true, Namespace = "urn:goonfleet:bridgeplanner:1")]
    [XmlRoot("cyno-list", Namespace = "urn:goonfleet:bridgeplanner:1", IsNullable = false)]
    public class ApiCynoList
    {
        [XmlArrayItem("cyno", IsNullable = false)]
        [XmlArray("cynos", IsNullable = false)]
        public ApiCyno[] Cynos { get; set; }
    }

    [XmlType(AnonymousType = true, Namespace = "urn:goonfleet:bridgeplanner:1")]
    public class ApiCyno
    {
        [XmlAttribute("system-id")]
        public int SystemID { get; set; }

        [XmlAttribute("notes")]
        public string Notes { get; set; }
    }
}