﻿using System;
using System.IO;
using Microsoft.VisualBasic.FileIO;

namespace libEveMapNG.Utility
{
    public static class Files
    {
        public static readonly string EVEMapDirectory =
            Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData) + "\\EVE-Map NG\\";

        public static void DeleteFile(string s)
        {
            FileSystem.DeleteFile(EVEMapDirectory + "\\" + s, UIOption.OnlyErrorDialogs, RecycleOption.SendToRecycleBin);
        }

        public static void DeleteAllFiles()
        {
            foreach (string file in Directory.GetFiles(EVEMapDirectory))
            {
                FileSystem.DeleteFile(file, UIOption.OnlyErrorDialogs, RecycleOption.SendToRecycleBin);
            }
        }
    }
}