#region

using System.Windows.Forms;

#endregion

namespace EVEMapNG.SubForms
{
    public partial class PickShipType : Form
    {
        public float Mass;
        public string ShipName;

        public PickShipType()
        {
            InitializeComponent();
        }

        private void treeView1_AfterSelect(object sender, TreeViewEventArgs e)
        {
            TreeNode tn = e.Node;
            if (tn == null) return;
            btnOK.Enabled = false;
            if (tn.Nodes.Count == 0)
            {
                btnOK.Enabled = true;
                string name = tn.Text;
                ShipName = name;
                switch (name)
                {
                    case "Retribution":
                        Mass = 1.95f;
                        break;
                    case "Vengeance":
                        Mass = 2.075f;
                        break;
                    case "Harpy":
                        Mass = 2.125f;
                        break;
                    case "Hawk":
                        Mass = 2.25f;
                        break;
                    case "Enyo":
                        Mass = 1.95f;
                        break;
                    case "Ishkur":
                        Mass = 2;
                        break;
                    case "Jaguar":
                        Mass = 1.75f;
                        break;
                    case "Wolf":
                        Mass = 1.825f;
                        break;
                    case "Harbinger":
                        Mass = 13.5f;
                        break;
                    case "Prophecy":
                        Mass = 13.5f;
                        break;
                    case "Drake":
                        Mass = 14;
                        break;
                    case "Ferox":
                        Mass = 14;
                        break;
                    case "Brutix":
                        Mass = 13.25f;
                        break;
                    case "Myrmidon":
                        Mass = 13.25f;
                        break;
                    case "Cyclone":
                        Mass = 12.5f;
                        break;
                    case "Hurricane":
                        Mass = 12.5f;
                        break;
                    case "Abaddon":
                        Mass = 117.5f;
                        break;
                    case "Apocalypse":
                        Mass = 107.5f;
                        break;
                    case "Armageddon":
                        Mass = 110;
                        break;
                    case "Raven":
                        Mass = 110;
                        break;
                    case "Rokh":
                        Mass = 120;
                        break;
                    case "Scorpion":
                        Mass = 115;
                        break;
                    case "Dominix":
                        Mass = 105;
                        break;
                    case "Hyperion":
                        Mass = 102.5f;
                        break;
                    case "Megathron":
                        Mass = 102.5f;
                        break;
                    case "Maelstrom":
                        Mass = 115;
                        break;
                    case "Tempest":
                        Mass = 102.5f;
                        break;
                    case "Typhoon":
                        Mass = 100;
                        break;
                    case "Absolution":
                        Mass = 13.5f;
                        break;
                    case "Damnation":
                        Mass = 13.5f;
                        break;
                    case "Nighthawk":
                        Mass = 14;
                        break;
                    case "Vulture":
                        Mass = 14;
                        break;
                    case "Astarte":
                        Mass = 13.25f;
                        break;
                    case "Eos":
                        Mass = 13.25f;
                        break;
                    case "Claymore":
                        Mass = 12;
                        break;
                    case "Sleipnir":
                        Mass = 12;
                        break;
                    case "Anathema":
                        Mass = 1.81f;
                        break;
                    case "Purifier":
                        Mass = 2.8f;
                        break;
                    case "Buzzard":
                        Mass = 1.94f;
                        break;
                    case "Manticore":
                        Mass = 3.25f;
                        break;
                    case "Helios":
                        Mass = 1.79f;
                        break;
                    case "Nemesis":
                        Mass = 2.975f;
                        break;
                    case "Cheetah":
                        Mass = 1.74f;
                        break;
                    case "Hound":
                        Mass = 2.575f;
                        break;
                    case "Arbitrator":
                        Mass = 12.5f;
                        break;
                    case "Augoror":
                        Mass = 12.25f;
                        break;
                    case "Maller":
                        Mass = 12.75f;
                        break;
                    case "Omen":
                        Mass = 11.95f;
                        break;
                    case "Blackbird":
                        Mass = 14;
                        break;
                    case "Caracal":
                        Mass = 13.75f;
                        break;
                    case "Moa":
                        Mass = 13;
                        break;
                    case "Osprey":
                        Mass = 13;
                        break;
                    case "Celestis":
                        Mass = 12.5f;
                        break;
                    case "Exequror":
                        Mass = 12.25f;
                        break;
                    case "Thorax":
                        Mass = 12;
                        break;
                    case "Vexor":
                        Mass = 11.25f;
                        break;
                    case "Bellicose":
                        Mass = 10.75f;
                        break;
                    case "Rupture":
                        Mass = 11.5f;
                        break;
                    case "Scythe":
                        Mass = 10.25f;
                        break;
                    case "Stabber":
                        Mass = 10;
                        break;
                    case "Coercer":
                        Mass = 1.625f;
                        break;
                    case "Cormorant":
                        Mass = 1.9f;
                        break;
                    case "Catalyst":
                        Mass = 1.75f;
                        break;
                    case "Trasher":
                        Mass = 1.5f;
                        break;
                    case "Hulk":
                        Mass = 40;
                        break;
                    case "Mackinaw":
                        Mass = 20;
                        break;
                    case "Skiff":
                        Mass = 10;
                        break;
                    case "Providence":
                        Mass = 1125;
                        break;
                    case "Charon":
                        Mass = 1200;
                        break;
                    case "Obelisk":
                        Mass = 1175;
                        break;
                    case "Fenrir":
                        Mass = 1025;
                        break;
                    case "Crucifier":
                        Mass = 1.525f;
                        break;
                    case "Executioner":
                        Mass = 1;
                        break;
                    case "Inquisitor":
                        Mass = 1.5f;
                        break;
                    case "Punisher":
                        Mass = 1.425f;
                        break;
                    case "Tormentor":
                        Mass = 1.7f;
                        break;
                    case "Bantam":
                        Mass = 1.625f;
                        break;
                    case "Condor":
                        Mass = 1.15f;
                        break;
                    case "Griffin":
                        Mass = 1.6f;
                        break;
                    case "Heron":
                        Mass = 1.45f;
                        break;
                    case "Kestrel":
                        Mass = 1.7f;
                        break;
                    case "Merlin":
                        Mass = 1.45f;
                        break;
                    case "Atron":
                        Mass = 1.1f;
                        break;
                    case "Imicus":
                        Mass = 1.65f;
                        break;
                    case "Incursus":
                        Mass = 1.1f;
                        break;
                    case "Maulus":
                        Mass = 1.4f;
                        break;
                    case "Navitas":
                        Mass = 1.6f;
                        break;
                    case "Tristan":
                        Mass = 1.25f;
                        break;
                    case "Breacher":
                        Mass = 1.45f;
                        break;
                    case "Burst":
                        Mass = 1.35f;
                        break;
                    case "Probe":
                        Mass = 1.55f;
                        break;
                    case "Rifter":
                        Mass = 1.1f;
                        break;
                    case "Slasher":
                        Mass = 1;
                        break;
                    case "Vigil":
                        Mass = 1.125f;
                        break;
                    case "Sacrilege":
                        Mass = 12.155f;
                        break;
                    case "Zealot":
                        Mass = 11.95f;
                        break;
                    case "Cerberus":
                        Mass = 13.75f;
                        break;
                    case "Eagle":
                        Mass = 13;
                        break;
                    case "Deimos":
                        Mass = 12;
                        break;
                    case "Ishtar":
                        Mass = 11.25f;
                        break;
                    case "Muninn":
                        Mass = 11.5f;
                        break;
                    case "Vagabond":
                        Mass = 10;
                        break;
                    case "Bestower":
                        Mass = 13.5f;
                        break;
                    case "Sigil":
                        Mass = 11;
                        break;
                    case "Badger":
                        Mass = 12.75f;
                        break;
                    case "Badger Mark II":
                        Mass = 13.5f;
                        break;
                    case "Iteron":
                        Mass = 10.25f;
                        break;
                    case "Iteron Mark II":
                        Mass = 11;
                        break;
                    case "Iteron Mark III":
                        Mass = 10.5f;
                        break;
                    case "Iteron Mark IV":
                        Mass = 11.25f;
                        break;
                    case "Iteron Mark V":
                        Mass = 11.75f;
                        break;
                    case "Hoarder":
                        Mass = 11.5f;
                        break;
                    case "Mammoth":
                        Mass = 12.5f;
                        break;
                    case "Wreathe":
                        Mass = 10;
                        break;
                    case "Crusader":
                        Mass = 1.05f;
                        break;
                    case "Malediction":
                        Mass = 1;
                        break;
                    case "Crow":
                        Mass = 1;
                        break;
                    case "Raptor":
                        Mass = 1.075f;
                        break;
                    case "Ares":
                        Mass = 1.1f;
                        break;
                    case "Taranis":
                        Mass = 1.075f;
                        break;
                    case "Claw":
                        Mass = 1.125f;
                        break;
                    case "Stiletto":
                        Mass = 1.1f;
                        break;
                    case "Heretic":
                        Mass = 1.625f;
                        break;
                    case "Flycatcher":
                        Mass = 1.9f;
                        break;
                    case "Eris":
                        Mass = 1.75f;
                        break;
                    case "Sabre":
                        Mass = 1.5f;
                        break;
                    case "Guardian":
                        Mass = 12.25f;
                        break;
                    case "Basilisk":
                        Mass = 13.35f;
                        break;
                    case "Oneiros":
                        Mass = 14.75f;
                        break;
                    case "Scimitar":
                        Mass = 10.25f;
                        break;
                    case "Covetor":
                        Mass = 40;
                        break;
                    case "Procurer":
                        Mass = 10;
                        break;
                    case "Retriever":
                        Mass = 20;
                        break;
                    case "Curse":
                        Mass = 12.5f;
                        break;
                    case "Pilgrim":
                        Mass = 12.5f;
                        break;
                    case "Falcon":
                        Mass = 14;
                        break;
                    case "Rook":
                        Mass = 14;
                        break;
                    case "Arazu":
                        Mass = 12.5f;
                        break;
                    case "Lachesis":
                        Mass = 12.5f;
                        break;
                    case "Huginn":
                        Mass = 10.75f;
                        break;
                    case "Rapier":
                        Mass = 10.75f;
                        break;
                    case "Shuttle":
                        Mass = 1.6f;
                        break;
                    case "Impel":
                        Mass = 19;
                        break;
                    case "Prorator":
                        Mass = 10.75f;
                        break;
                    case "Bustard":
                        Mass = 20;
                        break;
                    case "Crane":
                        Mass = 11.5f;
                        break;
                    case "Occator":
                        Mass = 19.5f;
                        break;
                    case "Viator":
                        Mass = 11.15f;
                        break;
                    case "Mastodon":
                        Mass = 18.5f;
                        break;
                    case "Prowler":
                        Mass = 10f;
                        break;
                    case "Erebus":
                        Mass = 2379.37f;
                        break;
                    case "Leviathan":
                        Mass = 2430f;
                        break;
                    case "Avatar":
                        Mass = 2278.125f;
                        break;
                    case "Ragnarok":
                        Mass = 2075.625f;
                        break;
                    case "Revelation":
                        Mass = 1237.5f;
                        break;
                    case "Naglfar":
                        Mass = 1127.5f;
                        break;
                    case "Moros":
                        Mass = 1292.5f;
                        break;
                    case "Phoenix":
                        Mass = 1320f;
                        break;
                    case "Archon":
                        Mass = 1113.75f;
                        break;
                    case "Thanatos":
                        Mass = 1163.25f;
                        break;
                    case "Chimera":
                        Mass = 1188f;
                        break;
                    case "Nidhoggur":
                        Mass = 1014.75f;
                        break;
                    case "Hel":
                        Mass = 1409.375f;
                        break;
                    case "Nyx":
                        Mass = 1615.625f;
                        break;
                    case "Wyvern":
                        Mass = 1650f;
                        break;
                    case "Aeon":
                        Mass = 1546.875f;
                        break;
                    case "Rorqual":
                        Mass = 1180f;
                        break;
                    case "Orca":
                        Mass = 250f;
                        break;
                    case "Rhea":
                        Mass = 960f;
                        break;
                    case "Nomad":
                        Mass = 820f;
                        break;
                    case "Anshar":
                        Mass = 940f;
                        break;
                    case "Ark":
                        Mass = 900f;
                        break;
                }
            }
        }
    }
}