﻿using System;
using System.Windows.Forms;

namespace EveMapControls
{
    public partial class RouteWeightSlider : UserControl
    {
        public RouteWeightSlider()
        {
            InitializeComponent();
        }

        private void trackBar1_ValueChanged(object sender, EventArgs e)
        {
            textBox1.Text = trackBar1.Value.ToString();
        }

        public void SetLabel(String labelText)
        {
            label1.Text = labelText;
        }

        public void Initialize(String labelText, int sliderValue)
        {
            label1.Text = labelText;
            textBox1.Text = sliderValue.ToString();
            trackBar1.Value = sliderValue;
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            trackBar1.Value = Int32.Parse(textBox1.Text);
        }
    }
}